#include "QuietModeInteraction.h"
#include "EHealthState.h"
#include "Net/UnrealNetwork.h"

void UQuietModeInteraction::OnRep_IsQuietModeActive()
{

}

void UQuietModeInteraction::Authority_OnDamageStateChanged(EHealthState oldDamageState, EHealthState newDamageState)
{

}

void UQuietModeInteraction::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UQuietModeInteraction, _isQuietModeActive);
}

UQuietModeInteraction::UQuietModeInteraction()
{
	this->_quietModeEffectClass = NULL;
	this->_isQuietModeActive = false;
}
